Bug 466015

Summary: unable to use VG that is active unless name matches VG name
Product: [Fedora] Fedora Reporter: Patrick C. F. Ernzer <pcfe>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: medium    
Version: 10CC: berrange, crobinso, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-18 08:42:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Patrick C. F. Ernzer 2008-10-07 14:16:35 EDT
Description of problem:
On your box I have one huge VG which hosts your rootfs and has Free PE

Version-Release number of selected component (if applicable):
libvirt-0.4.6-3.fc10.x86_64
virt-manager-0.6.0-1.fc10.x86_64
package qemu is not installed
kvm-74-4.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. open add storage pool in virt-manager
2. select type LVM
3. give a name that is different from your existing VG
3. at target path give it your existing VG (obviously there must be Free PE in the VG)
  
Actual results:
no pool with matching namelibvir: Storage error : no pool with matching name


Expected results:
clearer UI

Additional info:
it works just fine if I give as name the actual name of my VG, but I suspect other users will run into this.

Suggestions:
  - redo the dialogs so that one chooses a type first and no name in the first screen. in the second screen, if it's type LVM  offer a drop down of active VGs or the ability to create a new one
  - alternatively just document the bahavious _in the dialog_
Comment 1 Bug Zapper 2008-11-25 22:38:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 04:17:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2009-11-18 08:42:25 EST
Libvirt does have this capability, by specifying:

<source>
  <name>your_vg_name</name>
</source>

in the pool XML. This is also supported by upstream virt-manager, though I don't think it will be backported to F10, so just closing as UPSTREAM.